-- name: [CS] Nicole & Jecka
-- description: Adds Jecka & Nicole from Class of '09 as playable characters. \n\n\\#ff7777\\This Pack requires Character Select\nto use as a Library!

local E_MODEL_NICOLE = smlua_model_util_get_id("nicole_geo")
local E_MODEL_JECKA = smlua_model_util_get_id("jecka_geo")

local TEX_NICOLE = get_texture_info("nicole-icon")
local TEX_JECKA = get_texture_info("jecka-icon")

-- Model Pack name used 
local TEXT_MOD_NAME = "The Class of '09"

local VOICETABLE_NONE = {nil}

local PALETTE_NICOLE = {
    [PANTS]  = { r = 0x45, g = 0x45, b = 0x45 },
    [SHIRT]  = { r = 0x40, g = 0xA6, b = 0xC1 },
    [GLOVES] = { r = 0xFB, g = 0xEE, b = 0xD2 }, 
    [SHOES]  = { r = 0x13, g = 0x15, b = 0x19 }, 
    [HAIR]   = { r = 0x2F, g = 0x27, b = 0x1F }, 
    [SKIN]   = { r = 0xFb, g = 0xEE, b = 0xD2 }, 
    [CAP]    = { r = 0x40, g = 0xA6, b = 0xC1 },
}

local PALETTE_JECKA = {
    [PANTS]  = { r = 0x29, g = 0x4F, b = 0x8C },
    [SHIRT]  = { r = 0xF0, g = 0x87, b = 0xD1 },
    [GLOVES] = { r = 0xFD, g = 0xE5, b = 0xD2 }, 
    [SHOES]  = { r = 0xF0, g = 0x87, b = 0xD1 },
    [HAIR]   = { r = 0xEC, g = 0xE6, b = 0xC4 }, 
    [SKIN] = { r = 0xFD, g = 0xE5, b = 0xD2 }, 
    [SHIRT]  = { r = 0xF0, g = 0x87, b = 0xD1 },
}

VOICETABLE_NICOLE = {
    [CHAR_SOUND_ATTACKED] = { "n_bitch1.ogg", "n_fuck1.ogg", "n_fuck2.ogg", "n_fuck3.ogg", "n_fuck4.ogg", "n_shit1.ogg", "n_shit2.ogg" },
    [CHAR_SOUND_COUGHING1] = { "n_fuck1.ogg", "n_fuck2.ogg", "n_fuck3.ogg", "n_fuck4.ogg", "n_shit1.ogg", "n_shit2.ogg" },
    [CHAR_SOUND_COUGHING2] = { "n_fuck1.ogg", "n_fuck2.ogg", "n_fuck3.ogg", "n_fuck4.ogg", "n_shit1.ogg", "n_shit2.ogg" },
    [CHAR_SOUND_COUGHING3] = { "n_fuck1.ogg", "n_fuck2.ogg", "n_fuck3.ogg", "n_fuck4.ogg", "n_shit1.ogg", "n_shit2.ogg" },
    [CHAR_SOUND_DOH] = { "n_bitch1.ogg", "n_fuck1.ogg", "n_fuck2.ogg", "n_fuck3.ogg", "n_fuck4.ogg", "n_shit1.ogg", "n_shit2.ogg" },
    [CHAR_SOUND_DROWNING] = { "n_hangoutless.ogg", "n_tragic.ogg", "n_overthis.ogg", "n_fuck3.ogg" },
    [CHAR_SOUND_DYING] = { "n_hangoutless.ogg", "n_tragic.ogg", "n_overthis.ogg", "n_fuck3.ogg" },
    [CHAR_SOUND_EEUH] = { "n_bitch1.ogg", "n_fuck1.ogg", "n_fuck2.ogg", "n_fuck3.ogg", "n_fuck4.ogg", "n_shit1.ogg", "n_shit2.ogg" },
    [CHAR_SOUND_GROUND_POUND_WAH] = { "n_bitch1.ogg", "n_fuck1.ogg", "n_fuck2.ogg", "n_fuck3.ogg", "n_fuck4.ogg", "n_shit1.ogg", "n_shit2.ogg" },
    [CHAR_SOUND_HAHA] = { "n_bitch1.ogg", "n_fuck1.ogg", "n_fuck2.ogg", "n_fuck3.ogg", "n_fuck4.ogg", "n_shit1.ogg", "n_shit2.ogg" },
    [CHAR_SOUND_HAHA_2] = { "n_bitch1.ogg", "n_fuck1.ogg", "n_fuck2.ogg", "n_fuck3.ogg", "n_fuck4.ogg", "n_shit1.ogg", "n_shit2.ogg" },
    [CHAR_SOUND_HERE_WE_GO] = { "n_abusivelesbians.ogg", "n_bitch.ogg", "n_overthis.ogg", "n_noonewants.ogg", "n_cheesybiscuits.ogg" },
    [CHAR_SOUND_HOOHOO] = { "n_bitch1.ogg", "n_fuck1.ogg", "n_fuck2.ogg", "n_fuck3.ogg", "n_fuck4.ogg", "n_shit1.ogg", "n_shit2.ogg" },
    [CHAR_SOUND_HRMM] = "n_holdon.ogg",
    [CHAR_SOUND_IMA_TIRED] = { "n_holdon.ogg", "n_overthis.ogg" },
    [CHAR_SOUND_MAMA_MIA] = { "n_overthis.ogg", "n_tragic.ogg", "n_holdon.ogg" },
    [CHAR_SOUND_LETS_A_GO] = { "n_abusivelesbians.ogg", "n_bitch1.ogg", "n_overthis.ogg", "n_noonewants.ogg", "n_hatecrime.ogg" },
    [CHAR_SOUND_ON_FIRE] = { "n_bitch1.ogg", "n_fuck1.ogg", "n_fuck2.ogg", "n_fuck3.ogg", "n_fuck4.ogg", "n_shit1.ogg", "n_shit2.ogg" },
    [CHAR_SOUND_OOOF] = { "n_bitch1.ogg", "n_fuck1.ogg", "n_fuck2.ogg", "n_fuck3.ogg", "n_fuck4.ogg", "n_shit1.ogg", "n_shit2.ogg" },
    [CHAR_SOUND_OOOF2] = { "n_bitch1.ogg", "n_fuck1.ogg", "n_fuck2.ogg", "n_fuck3.ogg", "n_fuck4.ogg", "n_shit1.ogg", "n_shit2.ogg" },
    [CHAR_SOUND_PANTING] = { "n_shit1.ogg", "n_shit2.ogg" },
    [CHAR_SOUND_PANTING_COLD] = { "n_fuck1.ogg", "n_fuck2.ogg", "n_fuck3.ogg" },
    [CHAR_SOUND_PUNCH_HOO] = { "n_bitch1.ogg", "n_fuck1.ogg", "n_fuck2.ogg", "n_fuck3.ogg", "n_fuck4.ogg", "n_shit1.ogg", "n_shit2.ogg" },
    [CHAR_SOUND_PUNCH_WAH] = { "n_bitch1.ogg", "n_fuck1.ogg", "n_fuck2.ogg", "n_fuck3.ogg", "n_fuck4.ogg", "n_shit1.ogg", "n_shit2.ogg" },
    [CHAR_SOUND_PUNCH_YAH] = { "n_bitch1.ogg", "n_fuck1.ogg", "n_fuck2.ogg", "n_fuck3.ogg", "n_fuck4.ogg", "n_shit1.ogg", "n_shit2.ogg" },
    [CHAR_SOUND_SO_LONGA_BOWSER] = { "n_noonewants.ogg", "n_overthis.ogg", "n_smallville.ogg", "n_fuckyoueither.ogg", "n_hangoutless.ogg", "n_hatecrime.ogg", "n_bitch1.ogg" },
    [CHAR_SOUND_TWIRL_BOUNCE] = { "n_bitch1.ogg", "n_fuck1.ogg", "n_fuck2.ogg", "n_fuck3.ogg", "n_fuck4.ogg", "n_shit1.ogg", "n_shit2.ogg" },
    [CHAR_SOUND_UH] = { "n_bitch1.ogg", "n_fuck1.ogg", "n_fuck2.ogg", "n_fuck3.ogg", "n_fuck4.ogg", "n_shit1.ogg", "n_shit2.ogg" },
    [CHAR_SOUND_UH2] = { "n_bitch1.ogg", "n_fuck1.ogg", "n_fuck2.ogg", "n_fuck3.ogg", "n_fuck4.ogg", "n_shit1.ogg", "n_shit2.ogg" },
    [CHAR_SOUND_UH2_2] = { "n_bitch1.ogg", "n_fuck1.ogg", "n_fuck2.ogg", "n_fuck3.ogg", "n_fuck4.ogg", "n_shit1.ogg", "n_shit2.ogg" },
    [CHAR_SOUND_WAAAOOOW] = { "n_bitch1.ogg", "n_fuck1.ogg", "n_fuck2.ogg", "n_fuck3.ogg", "n_fuck4.ogg", "n_shit1.ogg", "n_shit2.ogg" },
    [CHAR_SOUND_WAH2] = { "n_bitch1.ogg", "n_fuck1.ogg", "n_fuck2.ogg", "n_fuck3.ogg", "n_fuck4.ogg", "n_shit1.ogg", "n_shit2.ogg" },
    [CHAR_SOUND_WHOA] = "n_holdon.ogg",
    [CHAR_SOUND_YAHOO] = "n_bitch1.ogg",
    [CHAR_SOUND_YAWNING] = { "n_bitch1.ogg", "n_fuck1.ogg", "n_fuck2.ogg", "n_fuck3.ogg", "n_fuck4.ogg", "n_shit1.ogg", "n_shit2.ogg", "n_hangoutless.ogg" },
    [CHAR_SOUND_YAHOO_WAHA_YIPPEE] = { "n_bitch1.ogg", "n_fuck1.ogg", "n_fuck2.ogg", "n_fuck3.ogg", "n_fuck4.ogg", "n_shit1.ogg", "n_shit2.ogg" },
    [CHAR_SOUND_YAH_WAH_HOO] = { "n_fuck1.ogg", "n_fuck2.ogg", "n_fuck3.ogg", "n_fuck4.ogg", "n_shit1.ogg", "n_shit2.ogg" },
    [CHAR_SOUND_HELLO] = { "n_abusivelesbians.ogg", "n_bitch.ogg", "n_overthis.ogg", "n_noonewants.ogg" }
}

VOICETABLE_JECKA = {
    [CHAR_SOUND_ATTACKED] = { "j_bitch.ogg", "j_fuck1.ogg", "j_fuck2.ogg", "j_no1.ogg", "j_no2.ogg", "j_uhh.ogg", "j_wtf.ogg", "j_damn.ogg", "j_noway.ogg", "j_ew.ogg" },
    [CHAR_SOUND_COUGHING1] = { "j_fuck1.ogg", "j_fuck2.ogg", "j_bitch.ogg", "j_damn.ogg", "j_ew.ogg" },
    [CHAR_SOUND_COUGHING2] = { "j_fuck1.ogg", "j_fuck2.ogg", "j_bitch.ogg", "j_damn.ogg", "j_ew.ogg" },
    [CHAR_SOUND_COUGHING3] = { "j_fuck1.ogg", "j_fuck2.ogg", "j_bitch.ogg", "j_damn.ogg", "j_ew.ogg" },
    [CHAR_SOUND_DOH] = { "j_bitch.ogg", "j_fuck1.ogg", "j_fuck2.ogg", "j_no1.ogg", "j_no2.ogg", "j_uhh.ogg", "j_wtf.ogg", "j_damn.ogg" },
    [CHAR_SOUND_DROWNING] = { "j_murdered.ogg", "j_needaxan.ogg", "j_fuck1.ogg", "j_fuck2.ogg", "j_damn.ogg", "j_noway.ogg", "j_wtf.ogg", "j_whatever.ogg" },
    [CHAR_SOUND_DYING] = { "j_murdered.ogg", "j_needaxan.ogg", "j_fuck1.ogg", "j_fuck2.ogg", "j_damn.ogg", "j_noway.ogg", "j_wtf.ogg", "j_whatever.ogg" },
    [CHAR_SOUND_EEUH] = { "j_uhh.ogg", "j_wtf.ogg", "j_fuck1.ogg", "j_fuck2.ogg", "j_yeah.ogg", "j_bitch.ogg" },
    [CHAR_SOUND_GROUND_POUND_WAH] = { "j_damn.ogg", "j_fuck1.ogg", "j_fuck2.ogg", "j_yeah.ogg", "j_bitch.ogg" },
    [CHAR_SOUND_HAHA] = { "j_damn.ogg", "j_fuck1.ogg", "j_fuck2.ogg", "j_yeah.ogg", "j_bitch.ogg", "j_wtf.ogg" },
    [CHAR_SOUND_HAHA_2] = { "j_damn.ogg", "j_fuck1.ogg", "j_fuck2.ogg", "j_yeah.ogg", "j_bitch.ogg", "j_wtf.ogg" },
    [CHAR_SOUND_HERE_WE_GO] = { "j_murdered.ogg", "j_needaxan.ogg", "j_racist.ogg", "j_wtf.ogg", "j_yeah.ogg" },
    [CHAR_SOUND_HOOHOO] = { "j_damn.ogg", "j_fuck1.ogg", "j_fuck2.ogg", "j_yeah.ogg", "j_bitch.ogg" },
    [CHAR_SOUND_HRMM] = "j_whatever.ogg",
    [CHAR_SOUND_IMA_TIRED] = { "j_whatever.ogg", "j_murdered.ogg" },
    [CHAR_SOUND_MAMA_MIA] = { "j_abuse.ogg", "j_damn.ogg", "j_murdered.ogg", "j_needaxan.ogg" },
    [CHAR_SOUND_LETS_A_GO] = { "j_murdered.ogg", "j_needaxan.ogg", "j_racist.ogg", "j_wtf.ogg", "j_yeah.ogg" },
    [CHAR_SOUND_ON_FIRE] = { "j_bitch.ogg", "j_fuck1.ogg", "j_fuck2.ogg", "j_no1.ogg", "j_no2.ogg", "j_uhh.ogg", "j_wtf.ogg", "j_damn.ogg", "j_noway.ogg", "j_ew.ogg" },
    [CHAR_SOUND_OOOF] = { "j_bitch.ogg", "j_fuck1.ogg", "j_fuck2.ogg", "j_no1.ogg", "j_no2.ogg", "j_uhh.ogg", "j_wtf.ogg", "j_damn.ogg", "j_noway.ogg", "j_ew.ogg" },
    [CHAR_SOUND_OOOF2] = { "j_bitch.ogg", "j_fuck1.ogg", "j_fuck2.ogg", "j_no1.ogg", "j_no2.ogg", "j_uhh.ogg", "j_wtf.ogg", "j_damn.ogg", "j_noway.ogg", "j_ew.ogg" },
    [CHAR_SOUND_PANTING] = { "j_no1.ogg", "j_no2.ogg", "j_no3.ogg" },
    [CHAR_SOUND_PANTING_COLD] = { "j_fuck1.ogg", "j_fuck2.ogg" },
    [CHAR_SOUND_PUNCH_HOO] = { "j_damn.ogg", "j_fuck1.ogg", "j_fuck2.ogg", "j_yeah.ogg", "j_bitch.ogg" },
    [CHAR_SOUND_PUNCH_WAH] = { "j_damn.ogg", "j_fuck1.ogg", "j_fuck2.ogg", "j_yeah.ogg", "j_bitch.ogg" },
    [CHAR_SOUND_PUNCH_YAH] = { "j_damn.ogg", "j_fuck1.ogg", "j_fuck2.ogg", "j_yeah.ogg", "j_bitch.ogg" },
    [CHAR_SOUND_SO_LONGA_BOWSER] = { "j_abuse.ogg", "j_racist.ogg", "j_porn.ogg", "j_humanrights.ogg", "j_badboy.ogg", "j_bitch.ogg", "j_murdered.ogg" },
    [CHAR_SOUND_TWIRL_BOUNCE] = { "j_damn.ogg", "j_fuck1.ogg", "j_fuck2.ogg", "j_yeah.ogg", "j_bitch.ogg", "j_wtf.ogg" },
    [CHAR_SOUND_UH] = { "j_damn.ogg", "j_fuck1.ogg", "j_fuck2.ogg", "j_yeah.ogg", "j_bitch.ogg", "j_wtf.ogg", "j_whatever.ogg" },
    [CHAR_SOUND_UH2] = { "j_damn.ogg", "j_fuck1.ogg", "j_fuck2.ogg", "j_yeah.ogg", "j_bitch.ogg", "j_wtf.ogg", "j_whatever.ogg" },
    [CHAR_SOUND_UH2_2] = { "j_damn.ogg", "j_fuck1.ogg", "j_fuck2.ogg", "j_yeah.ogg", "j_bitch.ogg", "j_wtf.ogg", "j_whatever.ogg" },
    [CHAR_SOUND_WAAAOOOW] = { "j_damn.ogg", "j_fuck1.ogg", "j_fuck2.ogg", "j_yeah.ogg", "j_bitch.ogg", "j_wtf.ogg", "j_no1.ogg", "j_no2.ogg", "j_no3.ogg" },
    [CHAR_SOUND_WAH2] = { "j_damn.ogg", "j_fuck1.ogg", "j_fuck2.ogg", "j_yeah.ogg", "j_bitch.ogg" },
    [CHAR_SOUND_WHOA] = "j_wtf.ogg",
    [CHAR_SOUND_YAHOO] = { "j_fuck1.ogg", "j_fuck2.ogg" },
    [CHAR_SOUND_YAWNING] = { "j_whatever.ogg", "j_needaxan.ogg", "j_uhh.ogg", "j_ew.ogg", "j_damn.ogg" },
    [CHAR_SOUND_YAHOO_WAHA_YIPPEE] = { "j_damn.ogg", "j_fuck1.ogg", "j_fuck2.ogg", "j_yeah.ogg", "j_bitch.ogg", "j_wtf.ogg", "j_whatever.ogg" },
    [CHAR_SOUND_YAH_WAH_HOO] = { "j_damn.ogg", "j_fuck1.ogg", "j_fuck2.ogg", "j_yeah.ogg", "j_bitch.ogg" },
    [CHAR_SOUND_HELLO] = { "j_murdered.ogg", "j_needaxan.ogg", "j_racist.ogg", "j_wtf.ogg", "j_yeah.ogg" },
}


if _G.charSelectExists then
    _G.charSelect.character_add("Nicole", {"Everybody's favorite sociopath."}, "iitsAP", {r = 65, g = 165, b = 193}, E_MODEL_NICOLE, CT_MARIO, TEX_NICOLE)
    _G.charSelect.character_add("Jecka", {"Try not to catch her on the flipside."}, "iitsAP", {r = 240, g = 135, b = 209}, E_MODEL_JECKA, CT_MARIO, TEX_JECKA)

    _G.charSelect.character_add_voice(E_MODEL_JECKA, VOICETABLE_JECKA)
    _G.charSelect.character_add_voice(E_MODEL_NICOLE, VOICETABLE_NICOLE)
    _G.charSelect.character_add_palette_preset(E_MODEL_JECKA, PALETTE_JECKA)
    _G.charSelect.character_add_palette_preset(E_MODEL_NICOLE, PALETTE_NICOLE)
    hook_event(HOOK_CHARACTER_SOUND, function (m, sound)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_JECKA then return _G.charSelect.voice.sound(m, sound) end
    end)
    hook_event(HOOK_MARIO_UPDATE, function (m)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_JECKA then return _G.charSelect.voice.snore(m) end
    end)
    hook_event(HOOK_CHARACTER_SOUND, function (m, sound)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_NICOLE then return _G.charSelect.voice.sound(m, sound) end
    end)
    hook_event(HOOK_MARIO_UPDATE, function (m)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_NICOLE then return _G.charSelect.voice.snore(m) end
    end)
else
    djui_popup_create("\\#ffffdc\\\n"..TEXT_MOD_NAME.."\nRequires the Character Select Mod\nto use as a Library!\n\nPlease turn on the Character Select Mod\nand Restart the Room!", 6)
end